package sudoku.constraint;

import sudoku.structure.Block;
import sudoku.structure.Sudoku;

public class BlockConstraint implements IConstraint{

	@Override
	public boolean canBePlaced(final Sudoku s, int x, int y, int newSymbolIndex) {
		Block block = s.getCell(x, y).getBlock();
		return !block.containsSymbol(newSymbolIndex);
	}

}
